Results 1 to 8 of 8

Thread: Problem with Ubuntu 7.10: couldn't find package

  1. #1
    Join Date
    Apr 2012
    Beans
    5

    Question Problem with Ubuntu 7.10: couldn't find package

    Hi, i am a newbie with Ubuntu und need for helps.
    i have to use the old version of Ubuntu 7.10 for my work and can not do anything with it.
    1. i can install any thing of the packages (with or without Internet)
    sudo apt-get install ***
    Reading package list... Done
    Building dependency tree
    Reading state information...Done
    E: Couldn't find package ***
    (i did try some of the package such as build-essential, sysstat etc.)
    2. sudo apt-get update does not work either.
    3. Ubuntu System could not mount any of my extern devices (hard disk oder usb stick)

    please help

    many thanks in advance

  2. #2
    Join Date
    Jun 2006
    Location
    UK
    Beans
    Hidden!
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Problem with Ubuntu 7.10: couldn't find package

    Welcome to the forum.

    Support for 7.10 ended in April 2009, three years ago. There have been no updates or security patches for that release since then. The repositories are closed.

    Quote Originally Posted by RadonZR View Post
    i have to use the old version of Ubuntu 7.10 for my work and can not do anything with it.
    Why do you have to use an obsolete version? Is there any reason why you cannot install a supported version?

    There is an old-releases repository from which you can get updates and applications for 7.10, but they will be obsolete ones. I would not recommend this because running such an old version is a security risk if you connect to the internet.
    Ubuntu 16.04 Desktop Guide - Ubuntu 18.04 Desktop Guide - Forum Guide to BBCode - Using BBCode code tags - IRC #ubuntuforums

    Member: Not Canonical Team

    Please do not PM me about your forum account unless you have been asked to. The correct place to contact an admin about your account is here.

  3. #3
    Join Date
    Apr 2012
    Beans
    5

    Re: Problem with Ubuntu 7.10: couldn't find package

    Hi, thank you for the post.
    that means i can not do anything to fix the error, when the repositories are closed?
    i have to use this Version for some hardware performance tests. Ubuntu Gutsy must be installed on my laptop and ran the test for comparation with the embedded system that we have on the tester, which is similar to Ubuntu Gutsy.

  4. #4
    Join Date
    Jun 2006
    Location
    UK
    Beans
    Hidden!
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Problem with Ubuntu 7.10: couldn't find package

    If you really need to run 7.10/Gutsy, then you can change your repositories as described here:

    https://help.ubuntu.com/community/EOLUpgrades

    The page is for end-of-life upgrades which doesn't seem to be relevant to your situation, but you'll find the changes you need to make to /etc/apt/sources.list under the heading "Requirements" on that page. Substitute "gutsy" for "CODENAME" and it should then work for you.

    To edit the /etc/apt/sources.list file, you need to open a terminal in Gutsy and use this command:

    Code:
    gksudo gedit /etc/apt/sources.list
    Post back if you need any help with this.
    Ubuntu 16.04 Desktop Guide - Ubuntu 18.04 Desktop Guide - Forum Guide to BBCode - Using BBCode code tags - IRC #ubuntuforums

    Member: Not Canonical Team

    Please do not PM me about your forum account unless you have been asked to. The correct place to contact an admin about your account is here.

  5. #5
    Join Date
    Apr 2012
    Beans
    5

    Re: Problem with Ubuntu 7.10: couldn't find package

    thanks a lot, i would prefer not to update to LTS 8.04

    i actually read the link for repositeries before

    https://help.ubuntu.com/community/Repositories/Ubuntu
    or
    https://help.ubuntu.com/community/Re...es/CommandLine

    and did do what needed to do but it did not work out. i still have the error message (i did connect to the internet): "The repository might be no longer available or could not be contacted because of network problems. If available an older version of the failed index will be used. Otherwise the repository will be ignored. Check your network connection and the correct writing of the repository address in the preferences."

    well, what should i do now?
    thanks.

  6. #6
    Topsiho's Avatar
    Topsiho is offline Grande Half-n-Half Cinnamon Ubuntu
    Join Date
    Oct 2005
    Location
    Holland
    Beans
    897
    Distro
    Ubuntu 16.04 Xenial Xerus

    Re: Problem with Ubuntu 7.10: couldn't find package

    I found this website:

    http://old-releases.ubuntu.com/releases/7.10/

    but did not try it.

    Using an old and unsupported distro version is really unsafe when connected to the internet.

    Topsiho

  7. #7
    Join Date
    Jun 2006
    Location
    UK
    Beans
    Hidden!
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Problem with Ubuntu 7.10: couldn't find package

    Quote Originally Posted by RadonZR View Post
    thanks a lot, i would prefer not to update to LTS 8.04
    I wasn't suggesting you do. The link simply tells you what changes you need to make to /etc/apt/sources.list. That's the only part relevant to your situation.

    Quote Originally Posted by RadonZR View Post
    well, what should i do now?
    thanks.
    If you did not run "sudo apt-get update" run it now. Do you get an error message? Please post the contents of your edited /etc/apt/sources.list file.

    Quote Originally Posted by Topsiho View Post
    The OP is trying to update and install new software to a Gutsy/7.10 installation, not download the 7.10 ISO.
    Last edited by coffeecat; April 2nd, 2012 at 06:14 PM.
    Ubuntu 16.04 Desktop Guide - Ubuntu 18.04 Desktop Guide - Forum Guide to BBCode - Using BBCode code tags - IRC #ubuntuforums

    Member: Not Canonical Team

    Please do not PM me about your forum account unless you have been asked to. The correct place to contact an admin about your account is here.

  8. #8
    Join Date
    Apr 2012
    Beans
    5

    Re: Problem with Ubuntu 7.10: couldn't find package

    hi, i am at work now and can not write much.
    1. I think some problems will be solved when i get can get access to my USB Driver. But the System can mount my USB or any of the external USB Hard Drive.
    2. yes, i did do apt-get update and apt-get install but it did not work. --> couldn't find the package xyz. I tried the update with Software Sources too, but it can connect and dowload to universe and multiverse. i did actived all the option in sources.list

    many thanks.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •